/* 
 * File: Handlers.js
 * Defines handers (service routines)
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, CSS450Timer */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", []);

myModule.controller("exCtrl", function ($scope) {
    $scope.mEchoMsg = "None For Now";
    $scope.mID_2 = "idBar1";
    $scope.mValue_1 = "5";   // this is a tex!
    $scope.mValue_2 = "20";  // default range is 0 to 100
    $scope.mMouseHandlerMsg = "No mouse handler message";
    $scope.mKeyHandlerMsg = "No Keyboard handler message";
    $scope.mTimerMsg = "No message for now";
    $scope.mLoopIsRunning = true;

    $scope.timerFunc = function () {
        $scope.mTimerMsg = Date.now();

        if ($scope.mValue_2 > 0) {
            $scope.mValue_2 = $scope.mValue_2 - 1;
            if ($scope.mValue_2 === 0) {
                $scope.mLoopIsRunning = false;
                $scope.mTimer.stop();
            }
        }
        $scope.$apply();
    };

    $scope.mTimer = new CSS450Timer(100, $scope.timerFunc);
        // can only pass in timerFunc after it is defined!


    // slider services
    $scope.sliderValue = function (whichBar, value) {
        $scope.mEchoMsg = whichBar + " " + value;
    };

    $scope.sliderServiceMouseMove = function (myE) {
        var elm = myE.currentTarget;
        $scope.mEchoMsg = elm.id +
                    " mouseMove=" + myE.clientX + " " + myE.clientY +
                    "  V: " + elm.value;
        // stop the outside <div> from receiving the mouse move event
        // comment out this line to see both elements service the event!
        // myE.stopPropagation();
    };

    $scope.sliderServiceMouseUp = function (myE) {
        var elm = myE.currentTarget;
        $scope.mEchoMsg = elm.id + " finalValue=" + elm.value;
    };

    // div services
    $scope.divServiceMove = function (myE) {
        $scope.mMouseHandlerMsg = "Mouse Move: " + myE.clientX + " " + myE.clientY;
    };
    $scope.divServiceDown = function (myE) {
        $scope.mMouseHandlerMsg = "Mouse Down: " + myE.clientX + " " + myE.clientY;
    };
    $scope.divServiceKey = function (myE) {
        $scope.mKeyHandlerMsg = "Key: [" + myE.which + "]";
    };

    // check box handler
    $scope.timerEnabled = function () {
        if ($scope.mLoopIsRunning)
            $scope.mTimer.start();
        else
            $scope.mTimer.stop();
    };
                    
    // start the timer
    $scope.mTimer.start();
});