/* 
 * File: MyDriver.js
 * Driver module
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, MyApplication */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Slider", "CSS450Timer"]);

myModule.controller("exCtrl", function ($scope) {
    $scope.mOutputEcho = "nothing for now";
    $scope.mUserEcho = "nothing for now";
    $scope.mModels = [
        new MyApplication(3),
        new MyApplication(5)];  // Model is an array of two types of computation units
  
    $scope.mViewModel = $scope.mModels[0]; // initialize VM to computation-3

    $scope.serviceSlider = function () {
        $scope.mOutputEcho = "Slider service:" + $scope.mViewModel.mInput;
    };

    $scope.serviceKey = function (myE) {
        $scope.mUserEcho = "[" + myE.which + "]: ";
        switch (myE.which) {
        case 51:  // "3"
            this.mViewModel = $scope.mModels[0]; // 
            $scope.mUserEcho = "Selected 3-based computation";
            break;
        case 53:  // "5"
            this.mViewModel = $scope.mModels[1]; 
            $scope.mUserEcho = "Selected 5-based computation";
            break;
            
        case 78:  // "n"
            $scope.mViewModel.computeOutput();
            $scope.mUserEcho += " ... computing ...";
            break;
        case 79: // "o"
            $scope.mUserEcho += "Received: " + $scope.mViewModel.appState();
            break;
        }
        
    };
});
