/* 
 * File: MainController.js
 * Container controller for the entire world
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, document, MyGame */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Timer", "CSS450Slider"]);

// registers the constructor for the controller
// NOTE: the constructor is only called _AFTER_ the </body> tag is encountered
//       this code does NOT run until the end of loading the HTML page
myModule.controller("MainCtrl", function ($scope) {
    // initialize controller
    $scope.mElapsedTime = 0;
    $scope.mXPos = 20;
    $scope.mYPos = 20;

    $scope.sColorOptions = [
        {name: "Red",     colorCode: "1, 0, 0, 1"},
        {name: "Green",   colorCode: "0, 1, 0, 1"},
        {name: "Blue",    colorCode: "0, 0, 1, 1"},
        {name: "Mystry",  colorCode: "1, 0, 1, 1"}
    ];
    $scope.mCurrentColor = $scope.sColorOptions[1].colorCode;

    // this is the model
    $scope.mMyWorld = new MyGame('GLCanvas');

    $scope.serviceTimer = function () {
        $scope.mElapsedTime = $scope.mElapsedTime + 1;
    };

    $scope.adjSize = function () {
        document.getElementById('IDWidthCtrl').style.width = $scope.mXPos + "px";
        document.getElementById('IDHeightCtrl').style.height = $scope.mYPos+ "px";
    };

    $scope.changeColor = function () {
        $scope.mMyWorld.setColor($scope.mCurrentColor.split(',', 4));
        $scope.mMyWorld.draw();
    };

    $scope.adjSize();
    $scope.changeColor();

});