/*
 * File: MyGame.js 
 * This is the logic of our game. For now, this is very simple.
 */
/*jslint node: true, vars: true */
/*global gEngine: false, SimpleShader: false */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";  // Operate in Strict mode such that variables must be declared before used!

function MyGame(htmlCanvasID) {
    // The shader for drawing
    this.mShader = null;
    this.mColor = [0, 0, 1, 1];
   
   gEngine.Core.initializeWebGL(htmlCanvasID);
   
    // Step B: Create, load and compile the shaders
    this.mShader = new SimpleShader(
        "src/GLSLShaders/SimpleVS.glsl",        // Path to the VertexShader 
        "src/GLSLShaders/SimpleFS.glsl");       // Path to the FragmentShader
}

MyGame.prototype.setColor = function (c) {
    this.mColor = c;
};

MyGame.prototype.draw = function () {

    gEngine.Core.clearCanvas([0, 0.8, 0, 1]);

    this.mShader.activateShader(this.mColor);

    var gl = gEngine.Core.getGL();
    gl.drawArrays(gl.TRIANGLE_STRIP, 0, 4);
};