/* 
 * File: CSS450Timer.js
 * A timer utility   
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

angular.module("SimpleModule", [])
        // notice the name: Normalized: all small cases!!
    .directive("myTag", function () {

        return {
            template: "<b>myTag</b>:[{{mFromMe}}] [{{mFromParent}}] [{{mCount}}] [{{mBinded}}]",
                    // template: is simple echo out
            
            // scope {} with blocks off parent's scope.
            //    "=": binds to attributes in the tag field
            //    "@" simple take the value of what is passed in (take face value) no binding
            //        directive sees parent's scope, that's why mFromParent is defined above
            // 
            // Notice: 
            //     mFromParent is not printing out anything.
            //     Try, comment out the entire $Scope block (and you will see mFromParent echo
            //     Alternative: use $parent.mFromParent to see parent's scope
            scope: {
                mFromMe: "@me",
                mCount: "@count",
                mBinded: "=value"
            },
            // controller: notice it is created as part of the directive!! (Not the module!)
            controller: function ($scope, $interval) {
                var mCount = -100;   // this is reall local variable!
                                  // this variable is independent from $scope.mCount!
                                  // this variable is never used! :-( 
                                  // Notice neither timer start counting from -100

                // set defaults
                if (!angular.isDefined($scope.mFromMe))  // initialize
                    $scope.mFromMe = "kidMsg";
                
                if (!angular.isDefined($scope.mBinded))
                    $scope.mBinded = false;
                
                if (!angular.isDefined($scope.mCount))
                    $scope.mCount = 100;
                
                
                $scope.updateFunction = function() {
                    $scope.mCount++;
                };
                
                $interval($scope.updateFunction, 200);
                
            }
        };
    });

    /*
     * 
    
            
    
        

   replace: false,

            

            
    */