/* 
 * File: MyDriver.js
 * Driver module
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Timer"]);

myModule.controller("exCtrl", function ($scope) {
    $scope.mEchoMsg = "None For Now";
    $scope.mValue_1 = "5";   // this is a tex!
    $scope.mValue_2 = "90";  // default range is 0 to 100
    
    $scope.mTimerEnabled = true;
    $scope.mHideTimer = false;

    // slider services
    $scope.sliderValue = function (whichBar, value) {
        $scope.mEchoMsg = whichBar + " " + value;
    };

    // timer and timer-check box
    $scope.serviceTimer = function () {
        if ($scope.mValue_2 > 0) {
            $scope.mValue_2 -= 1;
            $scope.mTimerEcho = "Update: " + $scope.mValue_2;
        }
        if ($scope.mValue_2 === 0) {
            $scope.mTimerEnabled = false;
            $scope.$broadcast("timer-stopped");
            $scope.mTimerEcho = "Timer off!!";
        }
    };

    $scope.handleTimerClick = function () {
        if ($scope.mTimerEnabled) {
            $scope.mTimerEcho = "Timer switched on";
            $scope.$broadcast("timer-started");
            $scope.mHideTimer = false;
        } else {
            $scope.mTimerEcho = "Timer off!!";
            $scope.$broadcast("timer-stopped");
            $scope.mHideTimer = true;
        }
    };
});