/* 
 * File: MyDriver.js
 * Driver module
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, document */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", []);

// define a function to create a new slider at locID (expected to be a div)
var createSlider = function (locID, label, guiModel) {
    var elm = document.getElementById(locID);
    elm.innerHTML = "<b>" + label + "</b><br>";
    elm.innerHTML += "Bar : <input type='range' min=\"0\" max='200' ng-model='" + guiModel + "'>";
    elm.innerHTML += "<input type='text' ng-model='" + guiModel + "' size='1'>";
};

// Now, call the GUI creation functions 
createSlider("idSimple", "SimpleSlider", "mSimpleModel");
createSlider("idLeft", "LeftSlider", "mLeftModel");
createSlider("idRight", "RightSlider", "mRightModel");

myModule.controller("exCtrl", function ($scope) {
    $scope.mValue_1 = "5";   // this is a tex!
    $scope.mSimpleModel = "20";
    $scope.mLeftModel = "22";
    $scope.mRightModel = "30";
});
