/* 
 * File: MyDriver.js
 * Driver module
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, document */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Slider", "CSS450Timer"]);

myModule.controller("exCtrl", function ($scope) {
    $scope.mValue_1 = 5;   // this is a tex!
    $scope.mSimpleModel = 20;
    $scope.mLeftModel = 22;
    $scope.mRightModel = 30;

    $scope.mLeftEnabled = true;
    $scope.mRightEnabled = false;

    $scope.updateLeftSlider = function () {
        if ($scope.mLeftModel > 0) {
            $scope.mLeftModel = $scope.mLeftModel - 1;
        } else {
            $scope.mLeftEnabled = false;
            $scope.$broadcast("timer-stopped");
        }
    };

    $scope.updateRightSlider = function () {
        if ($scope.mRightModel < 100) {
            $scope.mRightModel = parseInt($scope.mRightModel) + 1;
                    // watch out:
                    //    String + 1
                    //    Num + 1
        } else {
            $scope.mRightEnabled = false;
            $scope.$broadcast("timer-stopped");
        }
    };

    $scope.timerCtrl = function (enabled) {
        if (enabled) {
            $scope.$broadcast("timer-started");
        } else {
            $scope.$broadcast("timer-stopped");
        }
    };
});
